# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name leksah-server

# common part of summary for all the subpackages
%global common_summary Leksah is an IDE for Haskell

# main description used for all the subpackages
%global common_description This package provides the interface to GHC-API for leksah.

Name:           %{pkg_name}
Version:        0.10.0.4
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          Development/Tools
License:        GPL+
# BEGIN: cabal2spec-0.24
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
# END: cabal2spec-0.24
# BR any C devel dependency here
# list ghc-*-prof dependencies:
BuildRequires:  ghc-Cabal-prof, ghc-base-prof, ghc-binary-prof, ghc-binary-shared-prof, ghc-bytestring-prof, ghc-containers-prof, ghc-directory-prof, ghc-filepath-prof, ghc-ghc-prof, ghc-ltk-prof, ghc-mtl-prof, ghc-parsec-prof,ghc-pretty-prof, ghc-process-leksah-prof, ghc-time-prof, ghc-deepseq-prof, ghc-hslogger-prof, ghc-network-prof, ghc-haddock-prof, ghc-unix-prof
Requires:       wget, ghc, cabal-install, ghc-leksah-server

%description
%{common_description}


%if %{undefined ghc_without_shared}
%package -n ghc-%{pkg_name}
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN: cabal2spec-0.24
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec-0.24
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}
%{common_description}

This package contains the shared library.
%endif


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN: cabal2spec-0.24
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec-0.24
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)


%changelog
* Sat Aug 13 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-6
- Fix requires list. Removed haddock. ghc7 ships with new haddock.

* Sun Jun 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-5
- Fix requires list to include ghc-leksah-server

* Wed Jun 22 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Rebuild for ghc-process-leksah update. 

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Upgrade to cabal2spec-0.23.2

* Sun Jun 5 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Modified dependencies to match with the cabal file
- Added some packages in requires list

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Upgrade to 0.10.0.4, update to cabal2spec-0.22.7.
- License in the LICENSE file is mentioned as GPLV2 while sources specify
- license as GPL.Hence GPL+.

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- upgrade to 0.10.0, update to cabal2spec-0.22.5.

* Sat Dec 18 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modified license and depenedencies.
- Created patch to fix hslogger and ghc dependency.The maximum allowed versions for the respective packages are removed with this patch.

* Sat Dec 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
